Skip to content

Applications ​

This page documents on how to:

Fetch applications ​

Fetch a list of applications created by your Jobboard.

Scope ​

applications_read

Endpoint ​

http
GET /jobboards/applications

Open in Postman

The payload in this endpoint is paginated. Information will be provided in the headers.

Consult the guide for pagination

Accepted params ​

All parameters should be in the querystring.

ParamTypeExample ValueDefaultDescription
company_idInteger1nullOnly returns applications from this Company (can be replaced by company_slug)
company_slugStringmy-awesome-companynullOnly returns applications from this Company (can be replaced by company_id)
entity_idInteger1nullOnly returns applications from this Entity (formely designated as a Brand)
campaign_idInteger5nullOnly returns applications from this Campaign
embedStringapplicantnullWanted embedded data, separated with comas. Available values: [applicant]
orderStringcreated_atcreated_atChosen field for ordering the data. Available values: [created_at]
sortStringdescdescWay of sorting the data. Available values: [asc,desc]
pageInteger11Page to fetch
per_pageInteger5050Quantity of data by page (max value is 50)

Embedded data ​

In this endpoint, embedded data can be requested:

  • applicant: applicant related to this application

Examples ​

Find all applications from a company with id 44, with data about each applicant.
http
GET https://api.talentview.fr/v2/jobboards/applications?company_id=44&embed=applicant

View response example

Create application ​

Create an Application for a specific Applicant account.

Scope ​

applications_write

Endpoint ​

http
POST /jobboards/applications

Open in Postman

Accepted params ​

All parameters should be in the request's body.

ParamTypeExample valueRequiredDescription
company_idInteger1✓Company id linked to the Application
campaign_idInteger127✓Campaign id linked to the Application. The Campaign has to be broadcasted on your Jobboard
applicant_idInteger42✓ / ✗Applicant id who owns the Application. (required if applicant_email is undefined)
applicant_emailString"foo@bar.com"✓ / ✗Applicant email who owns the Application. (required if application_id) is undefined
applicationObject-✗Application data
application["resume"]Object-✗Uploading a resume will update your Application status to "complete". To upload a resume, both base64 and mime_type following fields are required. NB: the resume is uploaded asynchronously.
application["resume"]["base64"]String"JVBERi0xLjQ..."✓ / ✗Resume encoded in base64.
application["resume"]["mime_type"]String"pdf"✓ / ✗Mime type of the file. Available values: ["pdf", "jpg", "png", "doc", "docx"]

Example ​

Create an application from an applicant's email address.

URL:

http
POST https://api.talentview.fr/v2/jobboards/applications

BODY:

json
{
    "company_id":           1,
    "campaign_id":          1,
    "applicant_email":      "foo@bar.com",
    "application": {
        "resume": {
            "mime_type":    "pdf",
            "base64":       "iVBORw0K..."
        }
    }
}

View response example

Jobboard documentation for the Kelio ATS API